Subject: Re: "ld: fatal: relocations remain against allocatable but non-writable sections" Error
From: [email-masked] (Mumit Khan)

23 Oct 1998 12:32:26 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: "Chris Kirgios" <[email-masked]>
Cc: [email-masked]

"Chris Kirgios" <[email-masked]> writes:
> I have a problem linking my code using GNU g++. On Solaris, I create a bunch
> of shared libraries using g++.  One of the libraries used to be a C library
> that I 'converted' to ANSI C. It contains some global variables (I am not
> sure this is relevant but ...).
> Whenever I link that library with
> 
> g++ -shared -o

win32 GCC ports don't support the -shared flag since the linker doesn't
yet support the -shared flag. 

See http://www.xraylith.wisc.edu/~khan/software/gnu-win32/ for my
dllhelpers package, which will go away and die once the PE linker
supports creating shared libraries (using -G or -shared). Colin
Peters also has a good description of the process on his web (there
is a link to his site from -- see "Related Sites" on my web page).

Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".